Create lead

Creates a lead in the workspace.

POSThttps://app.boltsequencer.com/api/leads

Authentication

Bearer owner API key required. Send:

  • Authorization: Bearer bs_live_…
  • X-Workspace-Id: <workspace-uuid> (workspace you own)

Description

Creates a lead in the workspace.

Request body

JSON unless noted.

Email required; optional name, company, title, phone, website, linkedinUrl, tags, status, customFields.

Response

JSON object on success unless this route returns a file download (Content-Disposition: attachment). Rate limit headers are included on authenticated responses: X-RateLimit-Limit, X-RateLimit-Remaining, X-RateLimit-Reset.

Errors

422 if email/domain matches a global blocklist.

Example

curl -sS -X POST "https://app.boltsequencer.com/api/leads" \
  -H "Authorization: Bearer bs_live_YOUR_KEY" \
  -H "X-Workspace-Id: YOUR_WORKSPACE_UUID"
  -H "Content-Type: application/json" \
  -d '{}'